spring:
  application:
    name: tenant-api
  jpa:
    hibernate:
      ddl-auto: none
    show-sql: true
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    properties:
      hibernate:
        enable_lazy_load_no_trans: true
  profiles:
    active: @spring.profiles.active@
  rabbitmq:
    host: 49.4.26.74
    port: 5673
  task:
    execution:
      pool:
        max-size: 500
        core-size: 10
        queue-capacity: 1000
  main:
    allow-bean-definition-overriding: true
dubbo:
  application:
    name: dubbo-tenant-api
  registry:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos
  protocol:
    name: dubbo
    port: -1
    token: false
  config-center:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos
#单点登录配置
sso:
  domainId: __MIFnVvYFZZjw5fN3OtS
  passPrefix:
  departId:
  roleId:
  useSwitch: true
  selfAuth: false
  #AES加密、解密Key
  key: fjtctchsoft
  #
  clientId: 3505001000000250
  #密钥
  clientSecret: d8b471beec3caf036979d9c812a4f37b
  #治综接口地址
#  url: http://71.30.30.175:9001/api/
  url: http://192.168.2.106:8081/v3/sso/test/
  #系统编码 （子系统顶级菜单id）
  zxtqxgw: 27211
  v5Url: http://v5qy.test.baibaodun.cn/

logging:
  level:
    root: error
    org.hibernate.SQL: error
    org.hibernate.engine.QueryParameters: error
    org.hibernate.engine.query.HQLQueryPlan: error
    org.hibernate.type.descriptor.sql.BasicBinder: error
  config: classpath:log4j2.xml
